Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455198 - Firefox crashes at seeminly random times - glibc double or free corruption (glibc backtrace included)
Summary: Firefox crashes at seeminly random times - glibc double or free corruption (g...
Keywords:
Status: CLOSED DUPLICATE of bug 447444
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-13 22:56 UTC by Stewart Adam
Modified: 2018-04-11 09:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-14 15:36:33 UTC


Attachments (Terms of Use)

Description Stewart Adam 2008-07-13 22:56:10 UTC
Description of problem:
I can't seem to find a specific time or website where it happens, but this does
keep happening:

*** glibc detected *** /usr/lib64/firefox-3.0/firefox: double free or corruption
(fasttop): 0x0000000000bf6c40 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3ff74793c8]
/lib64/libc.so.6(cfree+0x76)[0x3ff747ba06]
/usr/lib64/libhunspell-1.2.so.0(_ZN8HunspellD1Ev+0xbd)[0x300c4225ed]
/usr/lib64/xulrunner-1.9/libxul.so[0x300fbee849]
/usr/lib64/xulrunner-1.9/libxul.so[0x300fbed6f0]
/usr/lib64/xulrunner-1.9/libxul.so[0x300fc2112c]
/usr/lib64/xulrunner-1.9/libxul.so[0x300fbf38d6]
/usr/lib64/xulrunner-1.9/libxul.so[0x300fc21571]
/usr/lib64/xulrunner-1.9/libxul.so(NS_ShutdownXPCOM_P+0x193)[0x300fbfc577]
/usr/lib64/xulrunner-1.9/libxul.so[0x300f4210f7]
/usr/lib64/xulrunner-1.9/libxul.so(XRE_main+0x1e3a)[0x300f423a42]
/usr/lib64/firefox-3.0/firefox(__gxx_personality_v0+0x565)[0x401665]
/lib64/libc.so.6(__libc_start_main+0xe6)[0x3ff741e3f6]
/usr/lib64/firefox-3.0/firefox(__gxx_personality_v0+0x59)[0x401159]
======= Memory map: ========
00110000-0011c000 r-xp 00000000 08:02 40987                             
/lib64/libnss_files-2.8.90.so
0011c000-0031b000 ---p 0000c000 08:02 40987                             
/lib64/libnss_files-2.8.90.so
0031b000-0031c000 r--p 0000b000 08:02 40987                             
/lib64/libnss_files-2.8.90.so
0031c000-0031d000 rw-p 0000c000 08:02 40987                             
/lib64/libnss_files-2.8.90.so
00400000-00409000 r-xp 00000000 08:02 679943                            
/usr/lib64/firefox-3.0/firefox
00608000-0060a000 rw-p 00008000 08:02 679943                            
/usr/lib64/firefox-3.0/firefox
0060a000-0066a000 r-xp 00000000 08:02 22976                             
/usr/lib64/gtk-2.0/modules/libgail.so
0066a000-00869000 ---p 00060000 08:02 22976                             
/usr/lib64/gtk-2.0/modules/libgail.so
00869000-0086b000 rw-p 0005f000 08:02 22976                             
/usr/lib64/gtk-2.0/modules/libgail.so
0086b000-0086c000 rw-p 0086b000 00:00 0 
00946000-039b7000 rw-p 00946000 00:00 0                                  [heap]
41851000-41852000 ---p 41851000 00:00 0 
41852000-42252000 rw-p 41852000 00:00 0 
42252000-42253000 ---p 42252000 00:00 0 
42253000-42c53000 rw-p 42253000 00:00 0 
44a56000-44a57000 ---p 44a56000 00:00 0 
44a57000-45457000 rw-p 44a57000 00:00 0 
3000000000-30000bf000 r-xp 00000000 08:02 146731                        
/usr/lib64/libgdk-x11-2.0.so.0.1304.0
30000bf000-30002bf000 ---p 000bf000 08:02 146731                        
/usr/lib64/libgdk-x11-2.0.so.0.1304.0
30002bf000-30002c4000 rw-p 000bf000 08:02 146731                        
/usr/lib64/libgdk-x11-2.0.so.0.1304.0
3000400000-300043c000 r-xp 00000000 08:02 41218                         
/lib64/libdbus-1.so.3.4.0
300043c000-300063b000 ---p 0003c000 08:02 41218                         
/lib64/libdbus-1.so.3.4.0
300063b000-300063c000 r--p 0003b000 08:02 41218                         
/lib64/libdbus-1.so.3.4.0
300063c000-300063d000 rw-p 0003c000 08:02 41218                         
/lib64/libdbus-1.so.3.4.0
3000800000-3000816000 r-xp 00000000 08:02 41612                         
/lib64/libgcc_s-4.3.1-20080708.so.1
3000816000-3000a15000 ---p 00016000 08:02 41612                         
/lib64/libgcc_s-4.3.1-20080708.so.1
3000a15000-3000a16000 rw-p 00015000 08:02 41612                         
/lib64/libgcc_s-4.3.1-20080708.so.1
3000c00000-3000c12000 r-xp 00000000 08:02 45816                         
/lib64/libresolv-2.8.90.so
3000c12000-3000e12000 ---p 00012000 08:02 45816                         
/lib64/libresolv-2.8.90.so
3000e12000-3000e13000 r--p 00012000 08:02 45816                         
/lib64/libresolv-2.8.90.so
3000e13000-3000e14000 rw-p 00013000 08:02 45816                         
/lib64/libresolv-2.8.90.so
3000e14000-3000e16000 rw-p 3000e14000 00:00 0 
3001000000-3001003000 r-xp 00000000 08:02 45825                         
/lib64/libuuid.so.1.2
3001003000-3001203000 ---p 00003000 08:02 45825                         
/lib64/libuuid.so.1.2
3001203000-3001204000 rw-p 00003000 08:02 45825                         
/lib64/libuuid.so.1.2
3001400000-300141f000 r-xp 00000000 08:02 1769874                       
/usr/lib64/libdbus-glib-1.so.2.1.0
300141f000-300161e000 ---p 0001f000 08:02 1769874                       
/usr/lib64/libdbus-glib-1.so.2.1.0
300161e000-3001620000 rw-p 0001e000 08:02 1769874                       
/usr/lib64/libdbus-glib-1.so.2.1.0
3001800000-3001817000 r-xp 00000000 08:02 1770409                       
/usr/lib64/libICE.so.6.3.0
3001817000-3001a16000 ---p 00017000 08:02 1770409                       
/usr/lib64/libICE.so.6.3.0
3001a16000-3001a18000 rw-p 00016000 08:02 1770409                       
/usr/lib64/libICE.so.6.3.0
3001a18000-3001a1b000 rw-p 3001a18000 00:00 0 
3001c00000-3001c08000 r-xp 00000000 08:02 1770410                       
/usr/lib64/libSM.so.6.0.0
3001c08000-3001e07000 ---p 00008000 08:02 1770410                       
/usr/lib64/libSM.so.6.0.0
3001e07000-3001e08000 rw-p 00007000 08:02 1770410                       
/usr/lib64/libSM.so.6.0.0
3002000000-3002002000 r-xp 00000000 08:02 45817                         
/lib64/libcom_err.so.2.1
3002002000-3002201000 ---p 00002000 08:02 45817                         
/lib64/libcom_err.so.2.1
3002201000-3002202000 rw-p 00001000 08:02 45817                         
/lib64/libcom_err.so.2.1
3002400000-3002550000 r-xp 00000000 08:02 141270                        
/usr/lib64/libxml2.so.2.6.32
3002550000-300274f000 ---p 00150000 08:02 141270                        
/usr/lib64/libxml2.so.2.6.32
300274f000-3002758000 rw-p 0014f000 08:02 141270                        
/usr/lib64/libxml2.so.2.6.32
3002758000-300275a000 rw-p 3002758000 00:00 0 
3002800000-3002802000 r-xp 00000000 08:02 45815                         
/lib64/libkeyutils-1.2.so
3002802000-3002a01000 ---p 00002000 08:02 45815                         
/lib64/libkeyutils-1.2.so
3002a01000-3002a02000 rw-p 00001000 08:02 45815                         
/lib64/libkeyutils-1.2.so
3002c00000-3002d40000 r-xp 00000000 08:02 45818                         
/lib64/libcrypto.so.0.9.8g
3002d40000-3002f3f000 ---p 00140000 08:02 45818                         
/lib64/libcrypto.so.0.9.8g
3002f3f000-3002f60000 rw-p 0013f000 08:02 45818                         
/lib64/libcrypto.so.0.9.8g
3002f60000-3002f63000 rw-p 3002f60000 00:00 0 
3003000000-3003024000 r-xp 00000000 08:02 140353                        
/usr/lib64/libk5crypto.so.3.1
3003024000-3003223000 ---p 00024000 08:02 140353                        
/usr/lib64/libk5crypto.so.3.1
3003223000-3003225000 rw-p 00023000 08:02 140353                        
/usr/lib64/libk5crypto.so.3.1
3003400000-300349f000 r-xp 00000000 08:02 142032                        
/usr/lib64/libkrb5.so.3.3
300349f000-300369f000 ---p 0009f000 08:02 142032                        
/usr/lib64/libkrb5.so.3.3
300369f000-30036a3000 rw-p 0009f000 08:02 142032                        
/usr/lib64/libkrb5.so.3.3
3003800000-3003809000 r-xp 00000000 08:02 140023                        
/usr/lib64/libkrb5support.so.0.1
3003809000-3003a09000 ---p 00009000 08:02 140023                        
/usr/lib64/libkrb5support.so.0.1
3003a09000-3003a0a000 rw-p 00009000 08:02 140023                        
/usr/lib64/libkrb5support.so.0.1
3003c00000-3003c2e000 r-xp 00000000 08:02 143632                        
/usr/lib64/libgssapi_krb5.so.2.2
3003c2e000-3003e2d000 ---p 0002e000 08:02 143632                        
/usr/lib64/libgssapi_krb5.so.2.2
3003e2d000-3003e2f000 rw-p 0002d000 08:02 143632                        
/usr/lib64/libgssapi_krb5.so.2.2
3004000000-30040ee000 r-xp 00000000 08:02 1769659                       
/usr/lib64/libstdc++.so.6.0.10
30040ee000-30042ee000 ---p 000ee000 08:02 1769659                       
/usr/lib64/libstdc++.so.6.0.10
30042ee000-30042f5000 r--p 000ee000 08:02 1769659                       
/usr/lib64/libstdc++.so.6.0.10
30042f5000-30042f7000 rw-p 000f5000 08:02 1769659                       
/usr/lib64/libstdc++.so.6.0.10
30042f7000-300430a000 rw-p 30042f7000 00:00 0 
3004400000-3004449000 r-xp 00000000 08:02 40999                         
/lib64/libssl.so.0.9.8g
3004449000-3004648000 ---p 00049000 08:02 40999                         
/lib64/libssl.so.0.9.8g
3004648000-300464f000 rw-p 00048000 08:02 40999                         
/lib64/libssl.so.0.9.8g
3004800000-3004802000 r-xp 00000000 08:02 45822                         
/lib64/libutil-2.8.90.so
3004802000-3004a01000 ---p 00002000 08:02 45822                         
/lib64/libutil-2.8.90.so
3004a01000-3004a02000 r--p 00001000 08:02 45822                         
/lib64/libutil-2.8.90.so
3004a02000-3004a03000 rw-p 00002000 08:02 45822                         
/lib64/libutil-2.8.90.so
3004c00000-3004c5d000 r-xp 00000000 08:02 1769905                       
/usr/lib64/libORBit-2.so.0.1.0
3004c5d000-3004e5c000 ---p 0005d000 08:02 1769905                       
/usr/lib64/libORBit-2.so.0.1.0
3004e5c000-3004e6e000 rw-p 0005c000 08:02 1769905                       
/usr/lib64/libORBit-2.so.0.1.0
3004e6e000-3004e6f000 rw-p 3004e6e000 00:00 0 
3005000000-3005039000 r-xp 00000000

Version-Release number of selected component (if applicable):
firefox-3.0-1.fc10.x86_64
xulrunner-1.9-1.fc10.x86_64

How reproducible:
Sometimes

Steps to Reproduce:
1. Browse the web (unsure what provokes the problem)
2. Firefox hangs
  
Actual results:
Firefox is nonresponsive, closing the window and attempting to reopen Firefox
results in the "Firefox is already open" message. "killall -9 firefox" solves
the problem.

Expected results:
No crash

Additional info:
I have the flash plugin installed, I'm not sure if this would provoke the
problem. It's happened on sites without flash though, so I doubt this is the
problem.

Comment 1 Matěj Cepl 2008-07-14 15:36:33 UTC

*** This bug has been marked as a duplicate of 447444 ***


Note You need to log in before you can comment on or make changes to this bug.